Subject: Re: [PATCH] git clean: Don't automatically remove directories when run within subdirectory

From: Joachim Berdal Haga <[email-masked]>
Date: Tue, 15 Apr 2008 16:46:13 +0200

Shawn Bohrer wrote:
> On Tue, Apr 15, 2008 at 08:33:23AM +0200, Joachim Berdal Haga wrote:
>> like "Would not remove dir/ (-d not given)". But I also think that the
>> difference between "dir" and "dir/" is very (too?) subtle in this case and
>> therefore should require explicit approval/action from the user.
> 
> Yeah, I don't know how I feel about this.  I do think that the behavior
> with my current patch is technically correct, but you may be right that
> a trailing slash is subtle.  In most cases I use my shell's tab
> completion witch adds the trailing slash, and only remove it when
> needed.  Additionally, I could argue that by default we require explicit
> action to clean files by requiring -n or -f so hopefully users try -n
> first (I do).

I guess part of the story is that I dislike the -f requirement, because I see it 
as a case of "training users to use -f without thinking" (it's required for 
normal operation). But that's another story, and now that I've raised my points 
I'm quite happy to leave the final decision to you.

Cheers,
-j.